Subject: Re: [PATCH] filter: added BPF random opcode

From: Daniel Borkmann <[email-masked]>
Date: Wed, 16 Apr 2014 10:32:40 +0200

On 04/16/2014 08:24 AM, Alexei Starovoitov wrote:
...
> At the same time I think the extension technic itself is nice and clean :)
> The call approach is definitely how we envisioned it to be used.
> Right now we have only x86-64 jit that is waiting for net-next to be opened,
> but this extension will be automatically jit-ed due to 'call approach'. Nice.

Ok, in terms of JIT it's definitely better that way, agreed.